Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rim
Interface FederationType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IdentifiableType, org.eclipse.emf.common.notify.Notifier, RegistryObjectType

All Known Implementing Classes:
  FederationTypeImpl

    public interface FederationType

extends RegistryObjectType

A representation of the model object 'Federation Type'. Mapping of the same named interface in ebRIM.

The following features are supported:

- `Replication Sync Latency`

See Also:
  `RimPackage.getFederationType()`

Method Summary
`java.lang.Object` | `getReplicationSyncLatency()` Returns the value of the 'Replication Sync Latency' attribute.
`boolean` | `isSetReplicationSyncLatency()` Returns whether the value of the '`Replication Sync Latency`' attribute is set.
`void` | `setReplicationSyncLatency(java.lang.Object value)` Sets the value of the '`Replication Sync Latency`' attribute.
`void` | `unsetReplicationSyncLatency()` Unsets the value of the '`Replication Sync Latency`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rim.RegistryObjectType
`getClassification, getDescription, getExternalIdentifier, getLid, getName, getObjectType, getStatus, getVersionInfo, setDescription, setLid, setName, setObjectType, setStatus, setVersionInfo`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rim.IdentifiableType
`getHome, getId, getSlot, setHome, setId`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getReplicationSyncLatency

    java.lang.Object getReplicationSyncLatency()

  Returns the value of the 'Replication Sync Latency' attribute. The default value is `"P1D"`.

  If the meaning of the 'Replication Sync Latency' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Replication Sync Latency' attribute.
  See Also:
    `isSetReplicationSyncLatency()`, `unsetReplicationSyncLatency()`, `setReplicationSyncLatency(Object)`, `RimPackage.getFederationType_ReplicationSyncLatency()`

### setReplicationSyncLatency

    void setReplicationSyncLatency(java.lang.Object value)

  Sets the value of the '`Replication Sync Latency`' attribute.

  Parameters:
    `value` - the new value of the 'Replication Sync Latency' attribute.
  See Also:
    `isSetReplicationSyncLatency()`, `unsetReplicationSyncLatency()`, `getReplicationSyncLatency()`

### unsetReplicationSyncLatency

    void unsetReplicationSyncLatency()

  Unsets the value of the '`Replication Sync Latency`' attribute.

  See Also:
    `isSetReplicationSyncLatency()`, `getReplicationSyncLatency()`, `setReplicationSyncLatency(Object)`

### isSetReplicationSyncLatency

    boolean isSetReplicationSyncLatency()

  Returns whether the value of the '`Replication Sync Latency`' attribute is set.

  Returns:
    whether the value of the 'Replication Sync Latency' attribute is set.
  See Also:
    `unsetReplicationSyncLatency()`, `getReplicationSyncLatency()`, `setReplicationSyncLatency(Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD